# Generated by Django 5.1.3 on 2025-01-04 08:48

import django.core.validators
import django.db.models.deletion
import django_ckeditor_5.fields
import django_countries.fields
import django_extensions.db.fields
import hitcount.models
import modelcluster.contrib.taggit
import modelcluster.fields
import wagtail.contrib.routable_page.models
import wagtail.fields
import wagtail_color_panel.fields
import wagtailmetadata.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('core', '0001_initial'),
        ('wagtailcore', '0094_alter_page_locale'),
        ('wagtailimages', '0027_image_description'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='BaseAttributes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, null=True, verbose_name='Attribute')),
                ('icon', models.CharField(blank=True, max_length=250, null=True, verbose_name='Icon')),
            ],
            options={
                'verbose_name': 'Common Attribute',
                'verbose_name_plural': 'Common Attributes',
            },
        ),
        migrations.CreateModel(
            name='Industry',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('desc', wagtail.fields.RichTextField(blank=True, null=True)),
            ],
            options={
                'verbose_name_plural': 'Industries',
            },
        ),
        migrations.CreateModel(
            name='Offers',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fromDate', models.DateTimeField(null=True)),
                ('toDate', models.DateTimeField(null=True)),
                ('name', models.CharField(max_length=200, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ProductType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(max_length=255, null=True, verbose_name='Title')),
            ],
            options={
                'verbose_name_plural': 'Product Type',
            },
        ),
        migrations.CreateModel(
            name='App',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('series', models.CharField(blank=True, max_length=200, null=True)),
                ('family', models.CharField(blank=True, max_length=200, null=True, verbose_name='Family')),
                ('fromDate', models.DateField(blank=True, null=True, verbose_name='From Date')),
                ('toDate', models.DateField(blank=True, null=True, verbose_name='To Date')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Image')),
            ],
            options={
                'verbose_name_plural': 'App',
            },
        ),
        migrations.CreateModel(
            name='AppItems',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('osName', models.CharField(blank=True, max_length=200, null=True, verbose_name='Name')),
                ('version', models.CharField(max_length=200)),
                ('osfamily', models.CharField(blank=True, max_length=200, null=True, verbose_name='Name')),
                ('osfamilyVersion', models.CharField(max_length=200, verbose_name='Version')),
                ('releaseDate', models.DateField(blank=True, null=True, verbose_name='Release Date')),
                ('features', wagtail.fields.RichTextField(blank=True, null=True)),
                ('app', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='app_items', to='ecom.app')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Image')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='BaseAttrItems',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('name', models.CharField(max_length=255, null=True, verbose_name='Attribute')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='name')),
                ('unit', models.CharField(blank=True, max_length=250, null=True, verbose_name='Unit')),
                ('icon', models.CharField(blank=True, max_length=250, null=True, verbose_name='Icon')),
                ('group', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='attr_items', to='ecom.baseattributes')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Brands',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('name', models.CharField(max_length=255, null=True, verbose_name='Name')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='name')),
                ('brDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Description')),
                ('brWeb', models.URLField(blank=True, null=True, verbose_name='Website')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Image')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='app',
            name='brand',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='br_apps', to='ecom.brands', verbose_name='Brand'),
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG')),
                ('activeBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Active BG')),
                ('activeFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Active FG')),
                ('name', models.CharField(max_length=255, null=True, verbose_name='Name')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='name')),
                ('icon', models.CharField(blank=True, max_length=255, null=True, verbose_name='Icon')),
                ('order', models.IntegerField(blank=True, db_index=True, null=True, unique=True)),
                ('show_in_mobile_menu', models.BooleanField(default=False, verbose_name='Show in mobile menu')),
                ('catImage', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Category Image')),
            ],
            options={
                'verbose_name_plural': 'Category (Menu)',
                'ordering': ['name'],
            },
        ),
        migrations.AddField(
            model_name='brands',
            name='categories',
            field=models.ManyToManyField(blank=True, related_name='brand', to='ecom.category'),
        ),
        migrations.CreateModel(
            name='CategoryIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('menuImageText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Icon Text')),
                ('intro', wagtail.fields.RichTextField(blank=True)),
                ('show_footer', models.BooleanField(blank=True, default=True, null=True)),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'abstract': False,
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model),
        ),
        migrations.CreateModel(
            name='CategoryPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG')),
                ('activeBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Active BG')),
                ('activeFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Active FG')),
                ('menuName', models.CharField(blank=True, max_length=100, null=True, verbose_name='Menu Name')),
                ('menuImageText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Menu Icon Text')),
                ('show_footer', models.BooleanField(blank=True, default=True, null=True)),
                ('show_news', models.BooleanField(blank=True, default=True, null=True)),
                ('noOfNews', models.PositiveIntegerField(blank=True, default=10, null=True)),
                ('show_blogs', models.BooleanField(blank=True, default=True, null=True)),
                ('noOfBlogs', models.PositiveIntegerField(blank=True, default=10, null=True)),
                ('catShortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('cat', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='categories', to='ecom.category', verbose_name='Category')),
                ('menuImage', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Menu Image')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'verbose_name': 'Category',
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model, hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='CategoryPageTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_items', to='ecom.categorypage')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_cats', to='core.customtag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='categorypage',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='ecom.CategoryPageTag', to='core.CustomTag', verbose_name='Tags'),
        ),
        migrations.CreateModel(
            name='CatFeature',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('cat', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='features', to='ecom.category')),
                ('feature', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='ecom.baseattritems', verbose_name='')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('coName', models.CharField(max_length=200, verbose_name='Name')),
                ('alias', models.CharField(blank=True, max_length=200, null=True, verbose_name='Alias Name')),
                ('coOrigin', django_countries.fields.CountryField(blank=True, max_length=2, null=True, verbose_name='Origin')),
                ('coWeb', models.URLField(blank=True, null=True, verbose_name='Website')),
                ('coDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Description')),
                ('coFounded', models.DateField(blank=True, null=True, verbose_name='Founded Date')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='parents', to='ecom.company')),
                ('industry', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='companies', to='ecom.industry')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='brands',
            name='com',
            field=modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='brands', to='ecom.company'),
        ),
        migrations.CreateModel(
            name='PriceRange',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('title', models.CharField(blank=True, max_length=200, null=True, verbose_name='Title')),
                ('minPrice', models.PositiveIntegerField()),
                ('maxPrice', models.PositiveIntegerField(blank=True, null=True)),
                ('cat', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='price_range', to='ecom.category')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProdFilter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('show_in_menu', models.BooleanField(default=True)),
                ('cat', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='cat_filters', to='ecom.category')),
            ],
            options={
                'verbose_name_plural': 'Product Filters',
            },
        ),
        migrations.CreateModel(
            name='FilterItems',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('title', models.CharField(blank=True, max_length=200, null=True, verbose_name='Title')),
                ('value', models.CharField(blank=True, max_length=200, null=True, verbose_name='Filter Value')),
                ('show_in_menu', models.BooleanField(default=True)),
                ('filter', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='filter_items', to='ecom.prodfilter')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProductAttributes',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('attr', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='attr_items', to='ecom.baseattritems', verbose_name='')),
                ('type', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='type_attributes', to='ecom.producttype')),
            ],
            options={
                'verbose_name_plural': 'Product Attributes',
            },
        ),
        migrations.AddField(
            model_name='app',
            name='cat',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='ecom.productattributes', verbose_name='Category'),
        ),
        migrations.CreateModel(
            name='ProductBrandPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG')),
                ('activeBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Active BG')),
                ('activeFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Active FG')),
                ('show_footer', models.BooleanField(blank=True, default=True, null=True)),
                ('menuName', models.CharField(blank=True, max_length=100, null=True, verbose_name='Menu Name')),
                ('menuImageText', models.CharField(blank=True, max_length=250, null=True, verbose_name='Icon Text')),
                ('brShortDesc', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Short Description')),
                ('brand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='br_page', to='ecom.brands', verbose_name='Brand')),
                ('menuImage', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Menu Image')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
                ('tags', modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='ecom.CategoryPageTag', to='core.CustomTag', verbose_name='Tags')),
            ],
            options={
                'verbose_name': 'Product Brand',
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model, hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='ProductPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG')),
                ('activeBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Active BG')),
                ('activeFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Active FG')),
                ('customTitle', wagtail.fields.RichTextField(null=True, verbose_name='Custom Title')),
                ('color', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Color')),
                ('colorName', models.CharField(blank=True, max_length=150, null=True, verbose_name='Color Name')),
                ('prodSeries', models.CharField(blank=True, max_length=150, null=True)),
                ('prodMRP', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True, verbose_name='MRP')),
                ('prodDealPrice', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True, verbose_name='Deal Price')),
                ('prodRating', models.DecimalField(decimal_places=1, default=0, max_digits=5)),
                ('prDesc', django_ckeditor_5.fields.CKEditor5Field(blank=True, null=True, verbose_name='Description')),
                ('launchDate', models.DateTimeField(blank=True, null=True, verbose_name='Launch Date')),
                ('prodStory', wagtail.fields.StreamField([('web_story_page', 22)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 5, 'help_text': 'Slide time in second'}), 1: ('wagtail.images.blocks.ImageChooserBlock', (), {'max_num': 1, 'required': True}), 2: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('upper-third', 'Top'), ('middle-third', 'Center'), ('bottom-third', 'Bottom')], 'label': 'Position', 'required': False}), 3: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Catamaran', 'Catamaran'), ('Roboto', 'Roboto'), ('Oswald', 'Oswald'), ('Macklin Sans', 'Macklin Sans')], 'label': 'Font Family', 'required': False}), 4: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'label': 'Font Size', 'required': False}), 5: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'Slide BG Color'}), 6: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'Slide FG Color'}), 7: ('wagtail.blocks.CharBlock', (), {'required': False}), 8: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'label': 'Title Font Size', 'required': False}), 9: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Catamaran', 'Catamaran'), ('Roboto', 'Roboto'), ('Oswald', 'Oswald'), ('Macklin Sans', 'Macklin Sans')], 'label': 'Title Font Family', 'required': False}), 10: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'label': 'Title FG Color', 'required': False}), 11: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'label': 'Title BG Color', 'required': False}), 12: ('wagtail.blocks.StructBlock', [[('title', 7), ('title_font_size', 8), ('title_font_type', 9), ('title_fgColor', 10), ('title_bgColor', 11)]], {}), 13: ('wagtail.blocks.RichTextBlock', (), {}), 14: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'label': 'CTA BG Color', 'required': False}), 15: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'label': 'CTA FG Color', 'required': False}), 16: ('wagtail.blocks.CharBlock', (), {'label': 'External URL', 'required': False}), 17: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal URL', 'required': False}), 18: ('wagtail.blocks.StructBlock', [[('text', 7), ('bgColor', 14), ('fgColor', 15), ('url', 16), ('page', 17)]], {'label': 'CTA'}), 19: ('wagtail.blocks.StreamBlock', [[('title', 12), ('desc', 13), ('cta', 18)]], {}), 20: ('wagtail.blocks.StructBlock', [[('position', 2), ('font_type', 3), ('font_size', 4), ('bgColor', 5), ('fgColor', 6), ('content', 19)]], {}), 21: ('wagtail.blocks.StreamBlock', [[('image', 1), ('theme', 20)]], {}), 22: ('wagtail.blocks.StructBlock', [[('timer', 0), ('content', 21)]], {'block_counts': {'image': {'max_num': 1}}, 'label': 'Story Page'})}, null=True)),
                ('menuName', models.CharField(blank=True, max_length=100, null=True)),
                ('show_footer', models.BooleanField(blank=True, default=True, null=True)),
                ('colorImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Color Image')),
                ('prBrand', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='br_products', to='ecom.brands', verbose_name='Brand')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'verbose_name': 'Product Detail Page',
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model, hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='ProductOffer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('offerPrice', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True, verbose_name='Offer Price')),
                ('offerTitle', models.CharField(blank=True, max_length=200, null=True, verbose_name='Title')),
                ('offerDiscount', models.DecimalField(blank=True, decimal_places=2, max_digits=4, null=True)),
                ('scURL', models.URLField(null=True, verbose_name='URL')),
                ('offerDetail', django_ckeditor_5.fields.CKEditor5Field(blank=True, null=True, verbose_name='Offer Detail')),
                ('offer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='off_products', to='ecom.offers', verbose_name='Offer')),
                ('scPlateform', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='prod_deal_platform', to='core.socialplatform')),
                ('product', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='prod_offer', to='ecom.productpage')),
            ],
            options={
                'verbose_name_plural': 'Product Offer',
            },
        ),
        migrations.CreateModel(
            name='ProductAttributeValue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('value_text', models.CharField(blank=True, max_length=250, null=True, verbose_name='Value')),
                ('value_text_opt', models.CharField(blank=True, max_length=250, null=True, verbose_name='Value Optional')),
                ('common', models.BooleanField(blank=True, default=False, null=True)),
                ('attribute', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ecom.productattributes')),
                ('product', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='prod_attr_values', to='ecom.productpage')),
            ],
            options={
                'verbose_name_plural': 'Product Attribute Value',
            },
        ),
        migrations.CreateModel(
            name='ProductAppItems',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('item', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='ecom.appitems')),
                ('product', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='prod_app_item', to='ecom.productpage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProductAccesories',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('product', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='product_accesories', to='ecom.productpage')),
                ('related', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ecom.productpage')),
            ],
            options={
                'verbose_name_plural': 'Product Accesories',
            },
        ),
        migrations.CreateModel(
            name='ProdNotification',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ecom.productpage')),
            ],
        ),
        migrations.CreateModel(
            name='ProductPageTag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_items', to='ecom.productpage')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_product', to='core.customtag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='productpage',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text='A comma-separated list of tags.', through='ecom.ProductPageTag', to='core.CustomTag', verbose_name='Tags'),
        ),
        migrations.CreateModel(
            name='ProductReview',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField(blank=True, null=True)),
                ('stars', models.IntegerField()),
                ('date_added', models.DateTimeField(auto_now_add=True)),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reviews', to='ecom.productpage')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reviews', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ProductVariantPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('bannerHeight', models.PositiveIntegerField(default=300, validators=[django.core.validators.MinValueValidator(50), django.core.validators.MaxValueValidator(2000)], verbose_name='Height')),
                ('bannerWidth', models.PositiveIntegerField(default=1400, validators=[django.core.validators.MinValueValidator(150), django.core.validators.MaxValueValidator(2560)], verbose_name='Width')),
                ('bannerTimer', models.PositiveIntegerField(default=3000, verbose_name='Slide Time in ms')),
                ('bannercontent', wagtail.fields.StreamField([('slide', 4)], blank=True, block_lookup={0: ('wagtail.images.blocks.ImageChooserBlock', (), {'required': True}), 1: ('wagtail.blocks.CharBlock', (), {'required': False}), 2: ('wagtail.blocks.URLBlock', (), {'label': 'External Link', 'required': False}), 3: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal Link', 'required': False}), 4: ('wagtail.blocks.StructBlock', [[('image', 0), ('title', 1), ('link', 2), ('page', 3)]], {})}, null=True, verbose_name='Content')),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG')),
                ('activeBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Active BG')),
                ('activeFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Active FG')),
                ('customTitle', wagtail.fields.RichTextField(blank=True, null=True, verbose_name='Custom Title')),
                ('color', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Color')),
                ('colorName', models.CharField(blank=True, max_length=150, null=True, verbose_name='Color Name')),
                ('prodSeries', models.CharField(blank=True, max_length=150, null=True)),
                ('prodMRP', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True, verbose_name='MRP')),
                ('prodDealPrice', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True, verbose_name='Deal Price')),
                ('prodRating', models.DecimalField(decimal_places=1, default=0, max_digits=5)),
                ('prDesc', django_ckeditor_5.fields.CKEditor5Field(blank=True, null=True, verbose_name='Description')),
                ('launchDate', models.DateTimeField(blank=True, null=True, verbose_name='Launch Date')),
                ('prodStory', wagtail.fields.StreamField([('web_story_page', 22)], blank=True, block_lookup={0: ('wagtail.blocks.IntegerBlock', (), {'default': 5, 'help_text': 'Slide time in second'}), 1: ('wagtail.images.blocks.ImageChooserBlock', (), {'max_num': 1, 'required': True}), 2: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('upper-third', 'Top'), ('middle-third', 'Center'), ('bottom-third', 'Bottom')], 'label': 'Position', 'required': False}), 3: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Catamaran', 'Catamaran'), ('Roboto', 'Roboto'), ('Oswald', 'Oswald'), ('Macklin Sans', 'Macklin Sans')], 'label': 'Font Family', 'required': False}), 4: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'label': 'Font Size', 'required': False}), 5: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#FFFFFF', 'label': 'Slide BG Color'}), 6: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'default': '#000000', 'label': 'Slide FG Color'}), 7: ('wagtail.blocks.CharBlock', (), {'required': False}), 8: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('text-xs', '12 px'), ('text-sm', '14 px'), ('text-base', '16 px'), ('text-lg', '18 px'), ('text-xl', '20 px'), ('text-2xl', '24 px'), ('text-[26px]', '26 px'), ('text-[28px]', '28 px'), ('text-3xl', '30 px'), ('text-[32px]', '32 px'), ('text-[34px]', '34 px'), ('text-4xl', '36 px'), ('text-5xl', '48 px'), ('text-6xl', '60 px'), ('text-7xl', '72 px'), ('text-8xl', '96 px'), ('text-9xl', '128 px')], 'label': 'Title Font Size', 'required': False}), 9: ('wagtail.blocks.ChoiceBlock', [], {'choices': [('Catamaran', 'Catamaran'), ('Roboto', 'Roboto'), ('Oswald', 'Oswald'), ('Macklin Sans', 'Macklin Sans')], 'label': 'Title Font Family', 'required': False}), 10: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'label': 'Title FG Color', 'required': False}), 11: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'label': 'Title BG Color', 'required': False}), 12: ('wagtail.blocks.StructBlock', [[('title', 7), ('title_font_size', 8), ('title_font_type', 9), ('title_fgColor', 10), ('title_bgColor', 11)]], {}), 13: ('wagtail.blocks.RichTextBlock', (), {}), 14: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'label': 'CTA BG Color', 'required': False}), 15: ('wagtail_color_panel.blocks.NativeColorBlock', (), {'label': 'CTA FG Color', 'required': False}), 16: ('wagtail.blocks.CharBlock', (), {'label': 'External URL', 'required': False}), 17: ('wagtail.blocks.PageChooserBlock', (), {'label': 'Internal URL', 'required': False}), 18: ('wagtail.blocks.StructBlock', [[('text', 7), ('bgColor', 14), ('fgColor', 15), ('url', 16), ('page', 17)]], {'label': 'CTA'}), 19: ('wagtail.blocks.StreamBlock', [[('title', 12), ('desc', 13), ('cta', 18)]], {}), 20: ('wagtail.blocks.StructBlock', [[('position', 2), ('font_type', 3), ('font_size', 4), ('bgColor', 5), ('fgColor', 6), ('content', 19)]], {}), 21: ('wagtail.blocks.StreamBlock', [[('image', 1), ('theme', 20)]], {}), 22: ('wagtail.blocks.StructBlock', [[('timer', 0), ('content', 21)]], {'block_counts': {'image': {'max_num': 1}}, 'label': 'Story Page'})}, null=True)),
                ('thumb', models.BooleanField(blank=True, null=True, verbose_name='View Thumbnail ( Default )')),
                ('colorImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Color Image')),
                ('search_image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Search image')),
            ],
            options={
                'verbose_name': 'Product Variant Page',
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, wagtailmetadata.models.WagtailImageMetadataMixin, 'wagtailcore.page', models.Model, hitcount.models.HitCountMixin),
        ),
        migrations.CreateModel(
            name='ProductVariantAttributeValue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('value_text', models.CharField(blank=True, max_length=250, null=True, verbose_name='Value')),
                ('value_text_opt', models.CharField(blank=True, max_length=250, null=True, verbose_name='Value Optional')),
                ('common', models.BooleanField(blank=True, default=False, null=True)),
                ('attribute', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ecom.productattributes')),
                ('product', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='prod_var_attr_values', to='ecom.productvariantpage')),
            ],
            options={
                'verbose_name_plural': 'Product Variant Attribute Value',
            },
        ),
        migrations.CreateModel(
            name='ProductVarImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='')),
                ('product', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='prod_var_images', to='ecom.productvariantpage')),
            ],
            options={
                'verbose_name_plural': 'Product Image',
            },
        ),
        migrations.CreateModel(
            name='ProductVarSocial',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('url', models.URLField(blank=True, null=True)),
                ('platform', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.socialplatform')),
                ('product', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='prod_var_social', to='ecom.productvariantpage')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Recommendation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('recText', models.CharField(max_length=200, verbose_name='Text')),
                ('recBgColor', wagtail_color_panel.fields.ColorField(default='#000000', max_length=7, verbose_name='BG')),
                ('recFgColor', wagtail_color_panel.fields.ColorField(default='#FFFFFF', max_length=7, verbose_name='FG')),
                ('recImg', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Image')),
            ],
        ),
        migrations.AddField(
            model_name='productvariantpage',
            name='prRec',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='rec_var_products', to='ecom.recommendation', verbose_name='Recommendation'),
        ),
        migrations.AddField(
            model_name='productpage',
            name='prRec',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='rec_products', to='ecom.recommendation', verbose_name='Recommendation'),
        ),
        migrations.CreateModel(
            name='RelatedProduct',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('product', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='related_products', to='ecom.productpage')),
                ('related', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ecom.productpage')),
            ],
            options={
                'verbose_name_plural': 'Related Product',
            },
        ),
        migrations.CreateModel(
            name='SubCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('bgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='BG')),
                ('fgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='FG')),
                ('hoverBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Hover BG')),
                ('hoverFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Hover FG')),
                ('activeBgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#FFFFFF', max_length=7, null=True, verbose_name='Active BG')),
                ('activeFgColor', wagtail_color_panel.fields.ColorField(blank=True, default='#000000', max_length=7, null=True, verbose_name='Active FG')),
                ('name', models.CharField(max_length=255, null=True, verbose_name='Name')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, populate_from='name')),
                ('icon', models.CharField(blank=True, max_length=255, null=True, verbose_name='Icon')),
                ('cat', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='sub_categories', to='ecom.category')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.image', verbose_name='Image')),
            ],
            options={
                'verbose_name_plural': 'Category',
            },
        ),
        migrations.AddField(
            model_name='producttype',
            name='cat',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='ecom.subcategory', verbose_name='Category'),
        ),
        migrations.AddField(
            model_name='productpage',
            name='subCat',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='cat_products', to='ecom.subcategory', verbose_name='Category'),
        ),
    ]
